#!/bin/sh

# gather arguments
USER_UID=$1		# running user id
PARENT_NAME=$2	# executable/app name that launched us
PARENT_PID=$3	# PID of app that launched us
OUTPUT_PATH=$4	# where output should be written



# log host/system info
echo "########### Software Info ##########" > $OUTPUT_PATH
sw_vers >> $OUTPUT_PATH
echo "########### Host Info ##########" >> $OUTPUT_PATH
hostinfo >> $OUTPUT_PATH

# gather recent console activity across all processes, in case there's any clues to help us diagnose things
echo "########### Recent Console Activity ##########" >> $OUTPUT_PATH
syslog -C -k Time ge -1h >> $OUTPUT_PATH

# gather console log for actual product
echo "########### Log Activity (uid=$USER_UID, pid=$PARENT_PID) ##########" >> $OUTPUT_PATH
syslog -k UID $USER_UID -k Sender "$PARENT_NAME"   -o -k PID $PARENT_PID >> $OUTPUT_PATH



# no longer zip; feedback framework zips all attachments itself
#cp $OUTPUT_PATH "$OUTPUT_PATH-temp"
#gzip -f $OUTPUT_PATH
#mv "$OUTPUT_PATH-temp" $OUTPUT_PATH
